For the complete documentation index, see llms.txt. This page is also available as Markdown.

Partially update an attribute set

Updates one or more fields of an existing attribute set. Only the fields you send are changed. The name uniqueness rule is re-checked.

patch
/attribute_set/{id}/
Authorizations
AuthorizationstringRequired

Token credential sent in the Authorization header, in the form: Token <your-token>. Requires a staff (admin) account.

Path parameters
idintegerRequired

The unique identifier of the attribute set.

Body

The payload accepted when partially updating an attribute set. All fields are optional; only the fields you send are changed.

namestring · max: 255Optional

The unique name of the attribute set.

attribute_set_typestring · enumOptional

The type of an attribute set.

  • simple — a standard attribute set (default)
  • grouped — an attribute set used for grouped products
Possible values:
Responses
200

The updated attribute set.

application/json

A named group of attribute configurations assigned to products.

pkintegerRead-onlyOptional

The unique identifier of the attribute set.

namestring · max: 255Optional

The unique name of the attribute set.

attribute_set_typestring · enumOptional

The type of an attribute set.

  • simple — a standard attribute set (default)
  • grouped — an attribute set used for grouped products
Possible values:
patch/attribute_set/{id}/
PATCH /api/remote/1/attribute_set/{id}/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "name": "text",
  "attribute_set_type": "simple"
}
{
  "pk": 15,
  "name": "Apparel",
  "attribute_set_type": "simple",
  "attributeconfig_set": []
}

Last updated

Was this helpful?